Subject: RE: competition for HOME environment variable
From: "Ronald Landheer" <[email-masked]>
To: "Jean-Philippe Grivet" <[email-masked]>
Cc: "CygWin" <[email-masked]>
Date: Fri, 24 Aug 2001 09:25:23 +0200

If you want your home directory to point somewhere else, I suggest you look
in the /etc/profile script. It's a little shell script run when CygWin is
started, which sets the HOME and USER environment variables.
I edited my own a bit too, to make sure there's no spaces in the name of my
home dir (did a rather sloppy job, actually: just put USER on my surname)

Have fun!

Ronald

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jean-Philippe
> Grivet
> Sent: Thursday, August 23, 2001 12:04 PM
> To: [email-masked]
> Subject: competition for HOME environment variable
>
>
> I just installed cygwin 1.3.2 under NT4.0 using setup.exe. Everything
> went OK, and the install log seems OK too.
>
> I click on the Cygwin icon and type "ls".
> Surprise, three files which have nothing to do  with Cygwin are listed:
>
> Scilab.hist, site-lisp, and SITE-LIS.
> The first is used by Scilab, a Matlab clone written at INRIA, Paris.
> The two others are part of Astex, a french TEX distribution.
>
> I then type "pwd" and read: cygwin/c/ast/astex/emacs. I also discover
> that no "home" directory has been created by setup.exe.
>
> Exiting cygwin, I find that a cygwin/c/ast/astex/emacs has indeed just
> been created in my Astex directory. If I rename it and reenter cygwin,
> this same directory is created anew.
>
> I have tested cygwin software in a very limited fashion (vim and gcc,
> mostly) and find that they perform satisfactorily.
>
> My guess is that cygwin, Astex, and Scilab (all ports of Linux programs)
> require HOME environment variable.
> This was  previously defined in order to use a WIN port of Emacs along
> with Astex.
>
> This seems to be confirmed by the cygcheck file which is appended. This
> file also contains unwanted references to Borland C directory and files.
>
> So my question is: how can I resolve this conflict betwen two programs
> that use the same environment variable ?
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/